﻿using System.ComponentModel.DataAnnotations;

namespace TestProject
{
    /// <summary>
    /// 회사 제품 메타 데이터
    /// </summary>
    public class CompanyProductMetadata
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 회사명
        /// </summary>
        [Display(ShortName = "Company", Name = "Company Name", AutoGenerateFilter = false)]
        public object CompanyName;

        /// <summary>
        /// 국가
        /// </summary>
        [Display(Order = 2)]
        public object Country;

        /// <summary>
        /// 도시
        /// </summary>
        [Display(Order = 1), Editable(false)]
        public object City;

        /// <summary>
        /// URL
        /// </summary>
        [DataType(DataType.Url)]
        public object URL;

        /// <summary>
        /// E 메일
        /// </summary>
        [DataType(DataType.EmailAddress)]
        public object EMail;

        /// <summary>
        /// 전화
        /// </summary>
        [DataType(DataType.PhoneNumber), Required]
        public object Phone;

        /// <summary>
        /// 텍스트
        /// </summary>
        [DataType(DataType.Text), Display(Order = -1)]
        public object Text;

        /// <summary>
        /// 부가 정보
        /// </summary>
        [Display(AutoGenerateField = false, Description = "This column isn't created")]
        public object AdditionalInfo;

        /// <summary>
        /// 패스워드
        /// </summary>
        [DataType(DataType.Password), StringLength(20, MinimumLength = 3)]
        public object Password;

        /// <summary>
        /// 날짜 2
        /// </summary>
        [DisplayFormat(DataFormatString = "MMMM/yyyy"), Display(Name = "Date 2")]
        public object Date2;

        /// <summary>
        /// 판매액
        /// </summary>
        [DisplayFormat(DataFormatString = "#,##0,,M")]
        public object Sales;

        /// <summary>
        /// 이익
        /// </summary>
        [DisplayFormat(DataFormatString = "#,##0,,M")]
        public object Profit;

        /// <summary>
        /// 판매 대 대상
        /// </summary>
        [DisplayFormat(DataFormatString = "p", ApplyFormatInEditMode = true), Display(Name = "Sales vs Target")]
        public object SalesVsTarget;

        /// <summary>
        /// 시장 점유율
        /// </summary>
        [DisplayFormat(DataFormatString = "p0", ApplyFormatInEditMode = false)]
        public object MarketShare;

        /// <summary>
        /// 고객 만족도
        /// </summary>
        [Display(Name = "Cust Satisfaction")]
        public object CustomersSatisfaction;

        #endregion
    }
}