﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 데이터 헬퍼
    /// </summary>
    public static class DataHelper
    {
        #region 회사 사적 정보 리스트 구하기 - GetCompanyPrivateInfoList()

        /// <summary>
        /// 회사 사적 정보 리스트 구하기
        /// </summary>
        /// <returns>회사 사적 정보 리스트</returns>
        public static List<CompanyPrivateInfo> GetCompanyPrivateInfoList()
        {
            return new List<CompanyPrivateInfo>
            {
                new CompanyPrivateInfo()
                {
                    CustomersSatisfaction = 3.1,
                    Date2                 = DateTime.Now,
                    MarketShare           = 42,
                    Password              = "123qwerty",
                    Profit                = 4951515,
                    Sales                 = 311414134,
                    SalesVsTarget         = 0.0277,
                }
            };
        }

        #endregion
        #region 회사 공개 정보 리스트 구하기 - GetCompanyPublicInfoList()

        /// <summary>
        /// 회사 공개 정보 리스트 구하기
        /// </summary>
        /// <returns>회사 공개 정보 리스트</returns>
        public static List<CompanyPublicInfo> GetCompanyPublicInfoList()
        {
            return new List<CompanyPublicInfo>
            {
                new CompanyPublicInfo()
                {
                    AdditionalInfo = "Some Info",
                    City           = "Glendale",
                    CompanyName    = "Developer Express",
                    Country        = "USA",
                    EMail          = "info@devexpress.com",
                    Phone          = "1234567890",
                    URL            = "www.devexpress.com",
                }
            };
        }

        #endregion
        #region 제품 리스트 구하기 - GetProductList()

        /// <summary>
        /// 제품 리스트 구하기
        /// </summary>
        /// <returns>제품 리스트</returns>
        public static List<Product> GetProductList()
        {
            return new List<Product>
            {
                new Product()
                {
                    Currency      = 1000,
                    Category      = 2,
                    Date          = DateTime.Now,
                    MultilineText = "Line1\r\nLine2\r\nLine3",
                    Quantity      = 321,
                    Text          = "Sample Text",
                    Time          = DateTime.Now,
                    UnitPrice     = 1800,
                }
            };
        }

        #endregion
    }
}