﻿using System;

using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.OptionsView.ShowGroupPanel  = false;
            this.gridView.OptionsView.ColumnAutoWidth = false;

            this.dataTypeBarEditItem.EditValueChanged += dataTypeBarEditItem_EditValueChanged;
            this.gridControl.DataSourceChanged        += gridControl_DataSourceChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 데이터 타입 바 편집 항목 편집 값 변경시 처리하기 - dataTypeBarEditItem_EditValueChanged(sender, e)

        /// <summary>
        /// 데이터 타입 바 편집 항목 편집 값 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void dataTypeBarEditItem_EditValueChanged(object sender, EventArgs e)
        {
            switch(this.dataTypeBarEditItem.EditValue as string)
            {
                case "Company public info"  : this.gridControl.DataSource = DataHelper.GetCompanyPublicInfoList();  break;
                case "Company private info" : this.gridControl.DataSource = DataHelper.GetCompanyPrivateInfoList(); break;
                case "Product info"         : this.gridControl.DataSource = DataHelper.GetProductList();            break;
            }
        }

        #endregion
        #region 그리드 컨트롤 데이터 소스 변경시 처리하기 - gridControl_DataSourceChanged(sender, e)

        /// <summary>
        /// 그리드 컨트롤 데이터 소스 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_DataSourceChanged(object sender, EventArgs e)
        {
            this.gridControl.MainView.PopulateColumns();

            (this.gridControl.MainView as GridView).BestFitColumns();
        }

        #endregion
    }
}