﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace TestProject
{
    /// <summary>
    /// 제품
    /// </summary>
    public class Product
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 단가 - UnitPrice

        /// <summary>
        /// 단가
        /// </summary>
        [ReadOnly(true)]
        public double UnitPrice { get; set; }

        #endregion
        #region 카테고리 - Category

        /// <summary>
        /// 카테고리
        /// </summary>
        [EnumDataType(typeof(ProductCategory))]
        public int Category { get; set; }

        #endregion
        #region 수량 - Quantity

        /// <summary>
        /// 수량
        /// </summary>
        [Display(Description = "The amount of currently available product")]
        public int Quantity { get; set; }

        #endregion
        #region 텍스트 - Text

        /// <summary>
        /// 텍스트
        /// </summary>
        [DataType(DataType.Text), Display(Order = -1)]
        public string Text { get; set; }

        #endregion
        #region 멀티 라인 텍스트 - MultilineText

        /// <summary>
        /// 멀티 라인 텍스트
        /// </summary>
        [DataType(DataType.MultilineText)]
        public string MultilineText { get; set; }

        #endregion
        #region 통화 - Currency

        /// <summary>
        /// 통화
        /// </summary>
        [DataType(DataType.Currency), Range(200, 5000)]
        public int Currency { get; set; }

        #endregion
        #region 날짜 - Date

        /// <summary>
        /// 날짜
        /// </summary>
        [DataType(DataType.Date)]
        public DateTime Date { get; set; }

        #endregion
        #region 시간 - Time

        /// <summary>
        /// 시간
        /// </summary>
        [DataType(DataType.Time)]
        public DateTime Time { get; set; }

        #endregion
    }
}